/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.webservice.marshalltest;

/**
 * Service interface for MarshallDocBean.
 */
public interface MarshallDocServiceInterface
   extends java.rmi.Remote
{

   public java.lang.String echoString( java.lang.String v )
      throws java.rmi.RemoteException;

   public java.math.BigInteger echoInteger( java.math.BigInteger v )
      throws java.rmi.RemoteException;

   public int echoInt( int v )
      throws java.rmi.RemoteException;

   public long echoLong( long v )
      throws java.rmi.RemoteException;

   public short echoShort( short v )
      throws java.rmi.RemoteException;

   public java.math.BigDecimal echoDecimal( java.math.BigDecimal v )
      throws java.rmi.RemoteException;

   public float echoFloat( float v )
      throws java.rmi.RemoteException;

   public double echoDouble( double v )
      throws java.rmi.RemoteException;

   public boolean echoBoolean( boolean v )
      throws java.rmi.RemoteException;

   public byte echoByte( byte v )
      throws java.rmi.RemoteException;

   public javax.xml.namespace.QName echoQName( javax.xml.namespace.QName v )
      throws java.rmi.RemoteException;

   public java.util.Calendar echoDateTimeCalendar( java.util.Calendar v )
      throws java.rmi.RemoteException;

   public java.util.Date echoDateTimeDate( java.util.Date v )
      throws java.rmi.RemoteException;

   public java.util.Calendar echoDateCalendar( java.util.Calendar v )
      throws java.rmi.RemoteException;

   public java.util.Date echoDateDate( java.util.Date v )
      throws java.rmi.RemoteException;

   public byte[] echoBase64Binary( byte[] v )
      throws java.rmi.RemoteException;

   public byte[] echoHexBinary( byte[] v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.Bean echoBean( org.jboss.test.webservice.marshalltest.types.Bean bean )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.StringArr echoStringArray( org.jboss.test.webservice.marshalltest.types.StringArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.BigIntegerArr echoIntegerArray( org.jboss.test.webservice.marshalltest.types.BigIntegerArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.LongArr echoLongArray( org.jboss.test.webservice.marshalltest.types.LongArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.IntegerArr echoIntArray( org.jboss.test.webservice.marshalltest.types.IntegerArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.ShortArr echoShortArray( org.jboss.test.webservice.marshalltest.types.ShortArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.BigDecimalArr echoDecimalArray( org.jboss.test.webservice.marshalltest.types.BigDecimalArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.FloatArr echoFloatArray( org.jboss.test.webservice.marshalltest.types.FloatArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.DoubleArr echoDoubleArray( org.jboss.test.webservice.marshalltest.types.DoubleArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.BooleanArr echoBooleanArray( org.jboss.test.webservice.marshalltest.types.BooleanArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.ByteArr echoByteArray( org.jboss.test.webservice.marshalltest.types.ByteArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.QNameArr echoQNameArray( org.jboss.test.webservice.marshalltest.types.QNameArr v )
      throws java.rmi.RemoteException;

   public org.jboss.test.webservice.marshalltest.types.CalendarArr echoDateTimeArray( org.jboss.test.webservice.marshalltest.types.CalendarArr v )
      throws java.rmi.RemoteException;
}
